Get All Orders¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
b_id |
String | Business line ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| start_time Optional | Integer | Start filter timestamp |
| end_time Optional | Integer | End filter timestamp |
| keyword Optional | String | Keyword (order ID, account ID, wallet name, Wallet ID, order description, from address and to address) |
| limit Optional | Integer | 10 by default |
| offset Optional | Integer | 0 by default |
| sort_by_time Optional | String | Sort by time sequence (DESC by default) |
| applicant Optional | String[] | Maker |
| coin_name Optional | String[] | Coin name Allowed Value: Refer to Coin Name (API) column in Supported Token |
| chain_name Optional | String[] | Cactus chain name Allowed Value: Refer to Network Symbol column in Supported Token |
| status Optional | String[] | Order status |
| wallet_name Optional | String[] | Wallet name |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Order data (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| list | Object[] | Order list (see list object details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| domain_id | String | Enterprise ID |
| bid | String | Business line ID |
| exchange_rate | Decimal | Order exchange rate |
| exchange_rate_str | String | Order exchange rate in string format |
| main_wallet_code | String | Main wallet ID |
| type | String | Order submission type Allowed values: API, API_ETH_COLD_CONTRACT_WITHDRAW, API_TRON_COLD_CONTRACT_WITHDRAW, API_PRIME_NFT_TRANSFER |
| time_stamp | Long | Order creation timestamp |
| order_no | String | Order ID |
| serial_no | String | Order serial number |
| applicant | String | Order maker |
| business_name | String | Business line name |
| coin_name | String | Asset name |
| full_name | String | Asset full name (e.g. Tether USD) |
| storage_type | String | Storage type Allowed values: PRIME_HOT, PRIME_COLD, ENTERPRISE_HOT, ENTERPRISE_COLD |
| wallet_type | String | Wallet type Allowed values: MIXED_ADDRESS, SEGREGATED_ADDRESS, DAPP_ADDRESS, DAPP_CUSTOM_ADDRESS |
| connect_type | String | DeFi chain used (applicable for DeFi orders) |
| wallet_name | String | Wallet name |
| wallet_code | String | Wallet ID |
| amount | Decimal | Withdrawal amount |
| amount_str | String | Withdrawal amount in string format |
| original_amount | Decimal | Original withdrawal amount |
| original_amount_str | String | Original withdrawal amount in string format |
| miner_fee | Decimal | Miner fee |
| miner_fee_str | String | Miner fee in string format |
| miner_fee_rate | Decimal | Miner fee rate |
| miner_fee_rate_str | String | Miner fee rate in string format |
| description | String | Order description |
| from_address | String | From address |
| gas_price | Decimal | Gas price (ETH Series) |
| gas_price_str | String | Gas price in string format (ETH Series) |
| max_fee_per_gas | Decimal | Max fee |
| max_fee_per_gas_str | String | Max fee in string format |
| max_priority_fee_per_gas | Decimal | Priority fee |
| max_priority_fee_per_gas_str | String | Priority fee in string format |
| gas_limit | Decimal | Gas limit (ETH series) |
| gas_limit_str | String | Gas limit in string format (ETH series) |
| order_dest_address_info_vo_list | Object[] | Order list (see order_dest_address_info_vo_list object for details below) |
| chain | String | Chain name |
| main_coin | String | Main chain asset (e.g. TRX, ETH) |
| status | String | Order status Allowed values: PROCESSING, PARTIALLY_FAILED, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED |
| inner_status | String | Order inner status |
order_dest_address_info_vo_list (object)
| Field | Type | Description |
|---|---|---|
| canceled | Boolean | Whether the order item is canceled |
| item_status | String | Status of this particular order item (per destination address) |
| dest_address | String | Recipient address |
| origin_balance | Decimal | Origin withdrawal amount |
| origin_balance_str | String | Origin withdrawal amount in string format |
| balance | Decimal | Actual withdrawal amount |
| balance_str | String | Actual withdrawal amount in string format |
| remark | String | Remark |
| memo_type | String | Memo type Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH |
| memo | String | Memo |
| comment | String | Comment |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"domain_id": "1e2fa188f5d44faca64c45485062e867",
"exchange_rate": 1.001,
"exchange_rate_str": "1.00100000",
"main_wallet_code": "CHTRON5526471567",
"type": "API",
"time_stamp": 1760339667000,
"order_no": "TESTAPP_003",
"serial_no": "GVB1TESTAPP_003",
"applicant": "test@abc.com",
"business_name": "FOR API TEST",
"coin_name": "USDTTRC",
"full_name": "Tether USD",
"storage_type": "PRIME_HOT",
"wallet_type": "MIXED_ADDRESS",
"connect_type": null,
"wallet_name": "",
"wallet_code": "CHTRON5526471577",
"amount": 11000000,
"amount_str": "11000000",
"original_amount": 11000000,
"original_amount_str": "11000000",
"miner_fee": 1805200,
"miner_fee_str": "1805200",
"miner_fee_rate": null,
"miner_fee_rate_str": null,
"description": "",
"from_address": "",
"gas_price": 100,
"gas_price_str": "100",
"max_fee_per_gas": null,
"max_fee_per_gas_str": null,
"max_priority_fee_per_gas": null,
"max_priority_fee_per_gas_str": null,
"gas_limit": null,
"gas_limit_str": null,
"order_dest_address_info_vo_list": [
{
"canceled": false,
"item_status": "SUCCEEDED",
"dest_address": "TLBGbH11Ei8xo7rnJCRT9GeukrDeACkumD",
"origin_balance": 11000000,
"origin_balance_str": "11000000",
"balance": 11000000,
"balance_str": "11000000",
"remark": "test order item",
"memo_type": "",
"memo": "",
"comment": ""
}
],
"chain": "TRON",
"main_coin": "TRX",
"status": "FINISHED",
"inner_status": "FINISHED",
"bid": "b4a25892d06542ba8fedb40e99d0c659"
},
{
"domain_id": "1e2fa188f5d44faca64c45485062e867",
"exchange_rate": 1.001,
"exchange_rate_str": "1.00100000",
"main_wallet_code": "CHTRON5526471567",
"type": "API",
"time_stamp": 1760339449000,
"order_no": "TESTAPP_002",
"serial_no": "LREXTESTAPP_002",
"applicant": "test@abc.com",
"business_name": "FOR API TEST",
"coin_name": "USDTTRC",
"full_name": "Tether USD",
"storage_type": "PRIME_HOT",
"wallet_type": "MIXED_ADDRESS",
"connect_type": null,
"wallet_name": "",
"wallet_code": "CHTRON5526471577",
"amount": 11,
"amount_str": "11",
"original_amount": 11,
"original_amount_str": "11",
"miner_fee": 2960200,
"miner_fee_str": "2960200",
"miner_fee_rate": null,
"miner_fee_rate_str": null,
"description": "",
"from_address": "",
"gas_price": 100,
"gas_price_str": "100",
"max_fee_per_gas": null,
"max_fee_per_gas_str": null,
"max_priority_fee_per_gas": null,
"max_priority_fee_per_gas_str": null,
"gas_limit": null,
"gas_limit_str": null,
"order_dest_address_info_vo_list": [
{
"canceled": false,
"item_status": "SUCCEEDED",
"dest_address": "TLBGbH11Ei8xo7rnJCRT9GeukrDeACkumD",
"origin_balance": 11,
"origin_balance_str": "11",
"balance": 11,
"balance_str": "11",
"remark": "test order item",
"memo_type": "",
"memo": "",
"comment": ""
}
],
"chain": "TRON",
"main_coin": "TRX",
"status": "FINISHED",
"inner_status": "FINISHED",
"bid": "b4a25892d06542ba8fedb40e99d0c667"
}
],
"total": 2
},
"successful": true
}